## python-os-brick 6.14.0

=== debian/changelog ===
python-os-brick (6.14.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 6.14.0
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 13:52:48 -0800

python-os-brick (6.13.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * d/watch: Track Flamingo series releases.
  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.
  * d/p/removes-privacy-breach-in-docs.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 09:17:36 -0700

python-os-brick (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:48:00 +0000

python-os-brick (6.10.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Feb 2025 17:36:42 +0000

python-os-brick (6.9.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 09:57:11 +0100

python-os-brick (6.8.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 13:53:06 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    https://tarballs.openstack.org/os-brick/ os_brick-(\d.*)\.tar\.gz

## python-os-brick 7.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=5.8.0 # Apache-2.0
oslo.concurrency>=5.0.0 # Apache-2.0
oslo.config>=9.0.0 # Apache-2.0
oslo.context>=4.1.0 # Apache-2.0
oslo.log>=4.8.0 # Apache-2.0
oslo.i18n>=5.1.0 # Apache-2.0
oslo.privsep>=3.0.0 # Apache-2.0
oslo.serialization>=4.3.0 # Apache-2.0
oslo.service>=2.8.0 # Apache-2.0
oslo.utils>=7.3.0 # Apache-2.0
requests>=2.25.1 # Apache-2.0
tenacity>=6.3.1 # Apache-2.0
psutil>=5.7.2 # BSD

=== debian/changelog ===
python-os-brick (7.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 15:19:30 +0100

python-os-brick (6.13.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1048337).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:38:49 +0100

python-os-brick (6.13.0-3) unstable; urgency=medium

  * Removed obsolete (build-)depends on python3-retrying (Closes: #1102753).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 12:53:37 +0100

=== debian/control ===
Source: python-os-brick
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-castellan,
 python3-coverage,
 python3-ddt,
 python3-eventlet,
 python3-hacking,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest <!nocheck>,
 python3-psutil,
 python3-reno,
 python3-requests,
 python3-stestr <!nocheck>,
 python3-tenacity,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-brick
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-brick.git
Homepage: https://github.com/openstack/os-brick

Package: os-brick-common
Architecture: all
Depends:
 ${misc:Depends},
Description: Library for managing local volume attaches - common files
 OpenStack Cinder brick library for managing local volume attaches.
 .
 Features discovery of volumes being attached to a host for many
 transport protocols and removal of volumes from a host.
 .
 This package contains common files needed by either the Python 2 or 3 module
 of os-brick.

Package: python-os-brick-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Library for managing local volume attaches - doc
 OpenStack Cinder brick library for managing local volume attaches.
 .
 Features discovery of volumes being attached to a host for many
 transport protocols and removal of volumes from a host.
 .
 This package contains the documentation.

Package: python3-os-brick
Architecture: all
Depends:
 open-iscsi,
 os-brick-common (= ${binary:Version}),
 python3-babel,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-psutil,
 python3-requests,
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-brick-doc,
Description: Library for managing local volume attaches - Python 3.x
 OpenStack Cinder brick library for managing local volume attaches.
 .
 Features discovery of volumes being attached to a host for many
 transport protocols and removal of volumes from a host.
 .
 This package contains the Python 3.x module.
